TLS certificates
v1.6.2
List TLS products
List available TLS certificate products together with the current account pricing.
GET
/tls/products
TLSProducts
Authentication
Request example
GET
curl --request GET \
--url 'https://api.regfish.com/tls/products' \
--header 'x-api-key: YOUR_API_KEY'Responses
200
TLS product catalog
Response example 200
{
"success": true,
"code": 0,
"response": [
{
"sku": "RapidSSL",
"name": "example",
"type": "DV",
"validation_level": "dv",
"organization_required": false,
"ca": "digicert",
"price": {
"yearly": 1,
"daily": 1
},
"specs": {
"seal": true,
"san_support": true,
"www_on_apex": true,
"apex_on_wc": true,
"wc_support": true,
"san_wc_support": true
}
}
]
}401
Unauthorized
Response example 401
{
"success": false,
"message": "Unauthorized",
"error": "Unauthorized"
}500
Unexpected error
Response example 500
{
"success": false,
"message": "Unexpected error",
"error": "Unexpected error"
}Community
Become part of the community
The regfish DNS API is a great solution for developers who want to automate domains and DNS zones. Become part of the community and benefit from DNS automation. The DNS API is available free of charge to every regfish customer.